summaryrefslogtreecommitdiff
path: root/www/wiki/maintenance/dev/installmw.sh
diff options
context:
space:
mode:
Diffstat (limited to 'www/wiki/maintenance/dev/installmw.sh')
-rwxr-xr-xwww/wiki/maintenance/dev/installmw.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/www/wiki/maintenance/dev/installmw.sh b/www/wiki/maintenance/dev/installmw.sh
new file mode 100755
index 00000000..9ae3c593
--- /dev/null
+++ b/www/wiki/maintenance/dev/installmw.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+if [ "x$BASH_SOURCE" == "x" ]; then echo '$BASH_SOURCE not set'; exit 1; fi
+DEV=$(cd -P "$(dirname "${BASH_SOURCE[0]}" )" && pwd)
+
+. "$DEV/includes/require-php.sh"
+
+set -e
+
+PORT=4881
+
+cd "$DEV/../../"; # $IP
+
+mkdir -p "$DEV/data"
+"$PHP" maintenance/install.php --server="http://localhost:$PORT" --scriptpath="" --dbtype=sqlite --dbpath="$DEV/data" --pass=admin "Trunk Test" "$USER"
+echo ""
+echo "Development wiki created with admin user $USER and password 'admin'."
+echo ""